CREATE TABLE performance_samples (
    id VARCHAR(64) PRIMARY KEY DEFAULT uuid_generate_v4(),
    user_id VARCHAR(64) NOT NULL REFERENCES users(id) ON DELETE CASCADE,
    url VARCHAR(4000) NULL,
    type VARCHAR(100) NOT NULL,
    claimed_recording_id VARCHAR(64) REFERENCES claimed_recordings(id) ON DELETE CASCADE,
    service_id VARCHAR(100) NULL,
    created_at TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP,
    updated_at TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP
);